@charset "UTF-8";

body {
    font-family: "Hiragino maru Gothic ProN W4", "Hiragino Kaku Gothic Pro", "Hiragino Sans", "arial", "Meiryo", "MS PGothic", sans-serif !important;
    background: linear-gradient(360deg, rgb(255 255 255 / 50%), rgb(255 255 255 / 10%)), url(../img/background_pc.png);
    background-size: cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-color: #FFFFFF;
    width: calc(80% - 10px);
    margin: 0 auto;
}

header {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    z-index: 1;
    background-color: #FFFFFF;

    & .Tab {
        border: 1px solid white;
        text-align: center;
        padding: 0;
        background:linear-gradient(rgb(18 69 123  / 100%) , rgb(42 138 227/ 100%) );
        width: 100%;

        & a {
            padding: 1em 0;
            display: block;
            text-decoration: none;
            color: white;
        }
    }
}

article.Container {
    display: flex;
    flex-flow: column wrap;
    width: 98%;
    margin: 0 auto;
    margin-top: 4em;

    & p {
        color: #555555;
    }

    & section {
        margin-bottom: 1em;
        margin-top: 1em;
        display: flex;
        flex-flow: column wrap;
        padding: 1em;

        & .Circle {
            background: url(../img/circle.png);
            background-size: cover;
            box-shadow: 1px 1px 5px #999999;
            width: 210px;
            border-radius: 1000px;
            height: 210px;
            display: grid;
            place-items: center;
            position: relative;

            & P {
                font-size: 1.5rem;
                text-align: center;
                padding: 0 1em;
            }
        }

        & .Contents {
            & P {
                font-weight: normal;
                font-size: 1.5rem;
                text-shadow: 3px 3px 7px #FFFFFF;
            }
        }
    }

    & section.Fade{
        position: relative;
        align-items: flex-end;
        opacity: 0;
    }

    & section.Fade:nth-child(odd) {
        align-items: flex-start;
    }

    & section.Fade.Active {
        opacity: 1;

        & .Circle {
            animation-name: slidein;
            animation-duration: 2s;
            animation-delay: 0.1s;
            animation-fill-mode: backwards;
        }

        & .Contents {
            position: relative;
            opacity: 1;
            top: 0;
            animation-name: slidein;
            animation-duration: 1.5s;
            animation-delay: 0.3s;
            animation-fill-mode: backwards;
        }

    }

    & table {
        border-collapse: collapse;
        margin-top: 1em;

        & td {
            border: 1px solid #333333;
            padding: 0.5em;
        }    
    }

    & form {
        width: 100%;
        padding-top: 1em;

        & div {
            display: flex;
            flex-flow: column;

            & input , & textarea {
                padding: 0.5em;
                margin: 0px 0 10px 0;
            }

            & textarea {
                height: 15em;
            }
        }

        & div.Submit{
            flex-flow: row nowrap;
            justify-content: end;

            & button {
                padding: 1em;
                width: 50%;
                cursor: pointer;
            }
        }

    }
    
}

@keyframes slidein {
    from {
        opacity: 0;
        top: 50px;
    }

    40% {
        top: -20px;
    }

    to {
        opacity: 1;
        top: 0;
    }
}

@media (max-width: 767px) {
    body {
        background: linear-gradient(360deg, rgb(255 255 255 / 50%), rgb(255 255 255 / 10%)), url(../img/background_sp.png);
        background-attachment: fixed;
        background-repeat: no-repeat;
        background-size: cover;
        width: calc(100% - 10px);
        margin: 5px;
    }

    header {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
    }

    article.Container {
        & section {
            margin-bottom: 5em;

            & .Circle {
                width: 180px;
                height: 180px;
            }

            & .Contents{
                & P {
                    font-weight: bold;
                    font-size: 1rem;
                    text-shadow: none;
                }        

                & table {
                    border-collapse: collapse;
                    margin-top: 1em;
            
                    & td {
                        border: 1px solid #333333;
                        padding: 0.5em;
                        
                        & ol {
                            color: #555555;
                            padding-inline-start: 20px;
                            font-weight: normal;

                            & li {
                                border-bottom: 1px solid #555555;
                                padding-top: 2em;
                            }
                        }    
                    }    
                }
            
            }
        }
    }
}